Is there a plan to adopt libglvnd also for 304xx and 340xx drivers?

With https://devtalk.nvidia.com/default/topic/915640/unix-graphics-announcements-and-news/multiple-glx-client-libraries-in-the-nvidia-linux-driver-installer-package/ libglvnd creates new options for some library handling. However I didn’t found yet a way to get the driver series 304 and 340 work properly together with a libglvnd enabled mesa stack. Are there plans to backport that support to the legacy drivers? Some discussions are ongoing in our forum: https://forum.manjaro.org/t/mesa-stack-breaking-unstable/19366

NVIDIA has never been known to backport major features into the old versions of their drivers which are also on extended support.

I don’t see it happening ever.

Perhaps there is some workaround they can suggest if they can’t fix or backport support for the drivers. The 7950 Go GTX in my laptop overheats and has serious performance degradation every time I’ve tried nouveau, so I need to use the proprietary drivers.